#include "main.h"
//------------------------------------------------
unsigned char bt=0;
//------------------------------------------------
static void SpiReceiveWait()
{
  while ( !SSPSTATbits.BF ); // Wait for Buffer Empty
}
//--------------------------------------------
char SpiRead()
{
  SpiReceiveWait();
  return(SSPBUF);
}
//--------------------------------------------
void interrupt isr(void)
{
  if(SSPIF)
  {
    bt = SpiRead();
    if(bt) PORTB = bt;
    SSPBUF = 255-bt;
    SSPIF = 0;
  }
}
//--------------------------------------------
void main()
{
  TRISB = 0x00;
  PORTB = 0xFF;
  ADCON1 = 0x07;
  TRISC3 = 1;// RC3 (SCLK) AS INPUT
  TRISC4 = 1;//RC4 (MOSI) AS INPUT
  PORTCbits.RC5 = 1;
  TRISC5 = 0;//RC5 (MISO) AS OUTPUT
  SSPEN = 0; // SPI Disabled
  GIE = 1;
  PEIE = 1;
  SMP = 0; // SMP=0 (Input data sampled at middle data output time)
  // SKE=1, SKP=0 (SPI_MODE0)
  CKP = 0;
  CKE = 1;
  // SSPM3:SSPM0 = 0101 (SPI Slave mode, clock = SCK pin. SS pin control disabled. SS can be used as I/O pin.)
  SSPM3 = 0;
  SSPM2 = 1;
  SSPM1 = 0;
  SSPM0 = 1;
  SSPIF = 0; //No SSP interrupt condition has occurred
  SSPIE = 1; //SSP interrupt Enabled
  SSPEN = 1; //SPI Enabled 
  while(1)
  {
    __delay_ms(5);
  }
}
//------------------------------------------------
